ClarisDrawTextInternal::State Struct Reference

Internal: the state of a ClarisDrawText. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_version
| the file version
std::vector< Paragraph > | m_paragraphsList
| the list of paragraph
std::map< int, std::shared_ptr< DSET > > | m_zoneMap
| the list of text zone

## Detailed Description

Internal: the state of a ClarisDrawText.

## Constructor & Destructor Documentation

## ◆ State()

ClarisDrawTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_paragraphsList

std::vector<Paragraph> ClarisDrawTextInternal::State::m_paragraphsList

the list of paragraph

Referenced by State().

## ◆ m_version

int ClarisDrawTextInternal::State::m_version
| mutable

the file version

Referenced by State().

## ◆ m_zoneMap

std::map<int, std::shared_ptr<DSET> > ClarisDrawTextInternal::State::m_zoneMap

the list of text zone

Referenced by State().

The documentation for this struct was generated from the following file:

- ClarisDrawText.cxx